Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs	(revision 6)
@@ -325,6 +325,7 @@
                 if (m_InitFlg) return;
 
                 cmbJapaneseSyllabary.SelectedIndex = -1;
+                cmbLabour.SelectedIndex = -1;
 
                 string strSQL = " Where CompanyCode In (Select CompanyCode From SUBCONTRACTORJOBLINK";
                 strSQL += string.Format("  Where JobCategoryCode = {0})", CommonMotions.cnvInt(cmbIJobType.SelectedValue));
@@ -352,6 +353,7 @@
                 if (m_InitFlg) return;
 
                 cmbIJobType.SelectedIndex = -1;
+                cmbLabour.SelectedIndex = -1;
 
                 string strSQL = " Where JapaneseSyllabary = '" + cmbJapaneseSyllabary.SelectedValue.ToString() + "'";
                 strSQL += " Order By DisplayOrder";
@@ -365,6 +367,34 @@
         }
         #endregion
 
+        #region 手間業者コンボボックスチェンジ
+        /// <summary>
+        /// 手間業者コンボボックスチェンジ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbLabour_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                if (m_InitFlg) return;
+
+                cmbJapaneseSyllabary.SelectedIndex = -1;
+                cmbIJobType.SelectedIndex = -1;
+
+                string strSQL = string.Format(" Where labourKind = {0}", cmbLabour.SelectedValue);
+                strSQL += " Order By DisplayOrder";
+                // データ表示
+                DispMasterGridData(strSQL);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 初期表示
         /// <summary>
         /// マスタ検索グリッド初期設定
@@ -377,6 +407,8 @@
             SetcmbSubConJob();
             // 50音順セット
             SetcmbcmbJapaneseSyllabary();
+            // 手間業者セット
+            SetcmbcmbLabout();
         }
         #endregion
 
@@ -653,6 +685,34 @@
         }
         #endregion
 
+        #region 手間業者コンボボックスセット
+        /// <summary>
+        /// 手間業者コンボボックスセット
+        /// </summary>
+        private void SetcmbcmbLabout()
+        {
+            try
+            {
+
+                // データセット
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(-1, ""));
+
+                foreach (KeyValuePair<int, string> SetValue in CommonDefine.s_SubContractorKind)
+                {
+                    DataList.Add(new KeyValuePair<int, string>(SetValue.Key, SetValue.Value));
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbLabour, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 描画関連
         /// <summary>
         /// タブの描画
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.Designer.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.Designer.cs	(revision 6)
@@ -28,14 +28,14 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle45 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle46 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle47 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle48 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle41 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle42 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle43 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle44 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
             this.btnSelect = new System.Windows.Forms.Button();
             this.btnEnd = new System.Windows.Forms.Button();
             this.tabControl1 = new System.Windows.Forms.TabControl();
@@ -50,19 +50,19 @@
             this.tabPage2 = new System.Windows.Forms.TabPage();
             this.panel2 = new System.Windows.Forms.Panel();
             this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
+            this.cmbLabour = new System.Windows.Forms.ComboBox();
+            this.label26 = new System.Windows.Forms.Label();
             this.btnVariable = new System.Windows.Forms.Button();
-            this.cmbJapaneseSyllabary = new System.Windows.Forms.ComboBox();
             this.btnMyCompany = new System.Windows.Forms.Button();
             this.label1 = new System.Windows.Forms.Label();
             this.cmbItemType = new System.Windows.Forms.ComboBox();
             this.label2 = new System.Windows.Forms.Label();
+            this.cmbJapaneseSyllabary = new System.Windows.Forms.ComboBox();
             this.dgvSearch = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.label26 = new System.Windows.Forms.Label();
-            this.cmbLabour = new System.Windows.Forms.ComboBox();
             this.tabControl1.SuspendLayout();
             this.tabPage1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvHistory)).BeginInit();
@@ -156,14 +156,14 @@
             this.dgvHistory.AllowUserToResizeColumns = false;
             this.dgvHistory.AllowUserToResizeRows = false;
             this.dgvHistory.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle45.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle45.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle45.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
-            dataGridViewCellStyle45.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle45.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle45.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle45.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvHistory.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle45;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvHistory.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
             this.dgvHistory.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvHistory.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.dataGridViewTextBoxColumn1,
@@ -185,8 +185,8 @@
             // 
             // dataGridViewTextBoxColumn1
             // 
-            dataGridViewCellStyle46.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.dataGridViewTextBoxColumn1.DefaultCellStyle = dataGridViewCellStyle46;
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.dataGridViewTextBoxColumn1.DefaultCellStyle = dataGridViewCellStyle2;
             this.dataGridViewTextBoxColumn1.Frozen = true;
             this.dataGridViewTextBoxColumn1.HeaderText = "No.";
             this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
@@ -194,8 +194,8 @@
             // 
             // dataGridViewTextBoxColumn2
             // 
-            dataGridViewCellStyle47.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.dataGridViewTextBoxColumn2.DefaultCellStyle = dataGridViewCellStyle47;
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.dataGridViewTextBoxColumn2.DefaultCellStyle = dataGridViewCellStyle3;
             this.dataGridViewTextBoxColumn2.Frozen = true;
             this.dataGridViewTextBoxColumn2.HeaderText = "コード";
             this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
@@ -205,9 +205,9 @@
             // 
             // dataGridViewTextBoxColumn3
             // 
-            dataGridViewCellStyle48.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle48.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.dataGridViewTextBoxColumn3.DefaultCellStyle = dataGridViewCellStyle48;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.dataGridViewTextBoxColumn3.DefaultCellStyle = dataGridViewCellStyle4;
             this.dataGridViewTextBoxColumn3.Frozen = true;
             this.dataGridViewTextBoxColumn3.HeaderText = "名　　称";
             this.dataGridViewTextBoxColumn3.Name = "dataGridViewTextBoxColumn3";
@@ -271,6 +271,30 @@
             this.tableLayoutPanel1.Size = new System.Drawing.Size(520, 160);
             this.tableLayoutPanel1.TabIndex = 1;
             // 
+            // cmbLabour
+            // 
+            this.cmbLabour.Dock = System.Windows.Forms.DockStyle.Left;
+            this.cmbLabour.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbLabour.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbLabour.FormattingEnabled = true;
+            this.cmbLabour.Location = new System.Drawing.Point(133, 33);
+            this.cmbLabour.Name = "cmbLabour";
+            this.cmbLabour.Size = new System.Drawing.Size(160, 24);
+            this.cmbLabour.TabIndex = 22;
+            this.cmbLabour.SelectedIndexChanged += new System.EventHandler(this.cmbLabour_SelectedIndexChanged);
+            // 
+            // label26
+            // 
+            this.label26.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
+            this.label26.BackColor = System.Drawing.Color.White;
+            this.label26.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label26.Location = new System.Drawing.Point(3, 31);
+            this.label26.Name = "label26";
+            this.label26.Size = new System.Drawing.Size(124, 27);
+            this.label26.TabIndex = 4;
+            this.label26.Text = "協力業者";
+            this.label26.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
             // btnVariable
             // 
             this.btnVariable.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
@@ -288,18 +312,6 @@
             this.btnVariable.UseVisualStyleBackColor = false;
             this.btnVariable.Click += new System.EventHandler(this.btnVariable_Click);
             // 
-            // cmbJapaneseSyllabary
-            // 
-            this.cmbJapaneseSyllabary.Dock = System.Windows.Forms.DockStyle.Left;
-            this.cmbJapaneseSyllabary.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.cmbJapaneseSyllabary.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.cmbJapaneseSyllabary.FormattingEnabled = true;
-            this.cmbJapaneseSyllabary.Location = new System.Drawing.Point(133, 63);
-            this.cmbJapaneseSyllabary.Name = "cmbJapaneseSyllabary";
-            this.cmbJapaneseSyllabary.Size = new System.Drawing.Size(100, 24);
-            this.cmbJapaneseSyllabary.TabIndex = 2;
-            this.cmbJapaneseSyllabary.SelectedIndexChanged += new System.EventHandler(this.cmbJapaneseSyllabary_SelectedIndexChanged);
-            // 
             // btnMyCompany
             // 
             this.btnMyCompany.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
@@ -319,12 +331,12 @@
             // 
             // label1
             // 
+            this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
             this.label1.BackColor = System.Drawing.Color.White;
             this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label1.Dock = System.Windows.Forms.DockStyle.Fill;
-            this.label1.Location = new System.Drawing.Point(3, 0);
+            this.label1.Location = new System.Drawing.Point(3, 1);
             this.label1.Name = "label1";
-            this.label1.Size = new System.Drawing.Size(124, 30);
+            this.label1.Size = new System.Drawing.Size(124, 27);
             this.label1.TabIndex = 0;
             this.label1.Text = "工　種";
             this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
@@ -342,9 +354,10 @@
             // 
             // label2
             // 
+            this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
             this.label2.BackColor = System.Drawing.Color.White;
             this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label2.Location = new System.Drawing.Point(3, 60);
+            this.label2.Location = new System.Drawing.Point(3, 61);
             this.label2.Name = "label2";
             this.label2.Size = new System.Drawing.Size(124, 27);
             this.label2.TabIndex = 1;
@@ -351,6 +364,18 @@
             this.label2.Text = "50音順";
             this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // cmbJapaneseSyllabary
+            // 
+            this.cmbJapaneseSyllabary.Dock = System.Windows.Forms.DockStyle.Left;
+            this.cmbJapaneseSyllabary.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbJapaneseSyllabary.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbJapaneseSyllabary.FormattingEnabled = true;
+            this.cmbJapaneseSyllabary.Location = new System.Drawing.Point(133, 63);
+            this.cmbJapaneseSyllabary.Name = "cmbJapaneseSyllabary";
+            this.cmbJapaneseSyllabary.Size = new System.Drawing.Size(100, 24);
+            this.cmbJapaneseSyllabary.TabIndex = 2;
+            this.cmbJapaneseSyllabary.SelectedIndexChanged += new System.EventHandler(this.cmbJapaneseSyllabary_SelectedIndexChanged);
+            // 
             // dgvSearch
             // 
             this.dgvSearch.AllowUserToAddRows = false;
@@ -358,14 +383,14 @@
             this.dgvSearch.AllowUserToResizeColumns = false;
             this.dgvSearch.AllowUserToResizeRows = false;
             this.dgvSearch.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle41.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle41.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle41.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
-            dataGridViewCellStyle41.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle41.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle41.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle41.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvSearch.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle41;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle5.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            dataGridViewCellStyle5.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle5.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle5.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle5.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvSearch.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle5;
             this.dgvSearch.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvSearch.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.Column1,
@@ -387,8 +412,8 @@
             // 
             // Column1
             // 
-            dataGridViewCellStyle42.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle42;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column1.Frozen = true;
             this.Column1.HeaderText = "No.";
             this.Column1.Name = "Column1";
@@ -396,8 +421,8 @@
             // 
             // Column2
             // 
-            dataGridViewCellStyle43.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Column2.DefaultCellStyle = dataGridViewCellStyle43;
+            dataGridViewCellStyle7.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle7;
             this.Column2.Frozen = true;
             this.Column2.HeaderText = "会社コード";
             this.Column2.Name = "Column2";
@@ -407,9 +432,9 @@
             // 
             // Column3
             // 
-            dataGridViewCellStyle44.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle44.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Column3.DefaultCellStyle = dataGridViewCellStyle44;
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle8.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle8;
             this.Column3.Frozen = true;
             this.Column3.HeaderText = "会　社　名　称";
             this.Column3.Name = "Column3";
@@ -426,29 +451,6 @@
             this.Column5.Visible = false;
             this.Column5.Width = 5;
             // 
-            // label26
-            // 
-            this.label26.BackColor = System.Drawing.Color.White;
-            this.label26.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label26.Location = new System.Drawing.Point(3, 30);
-            this.label26.Name = "label26";
-            this.label26.Size = new System.Drawing.Size(124, 30);
-            this.label26.TabIndex = 4;
-            this.label26.Text = "協力業者";
-            this.label26.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // cmbLabour
-            // 
-            this.cmbLabour.Dock = System.Windows.Forms.DockStyle.Left;
-            this.cmbLabour.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.cmbLabour.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.cmbLabour.FormattingEnabled = true;
-            this.cmbLabour.Location = new System.Drawing.Point(133, 33);
-            this.cmbLabour.Name = "cmbLabour";
-            this.cmbLabour.Size = new System.Drawing.Size(160, 24);
-            this.cmbLabour.TabIndex = 22;
-            this.cmbLabour.SelectedIndexChanged += new System.EventHandler(this.cmbLabour_SelectedIndexChanged);
-            // 
             // FrmSubContractorDiag
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 6)
@@ -1015,8 +1015,10 @@
                 List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
                 DataList.Add(new KeyValuePair<int, string>(-1, ""));
 
-                DataList.Add(new KeyValuePair<int, string>((int)CommonDefine.SubContractorPaymentKind.Normal, "通　常　業　者"));
-                DataList.Add(new KeyValuePair<int, string>((int)CommonDefine.SubContractorPaymentKind.Labor, "手　間　業　者"));
+                foreach (KeyValuePair<int, string> SetValue in CommonDefine.s_SubContractorKind)
+                {
+                    DataList.Add(new KeyValuePair<int, string>(SetValue.Key, SetValue.Value));
+                }
 
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbLabour, DataList);
